Summary: fdutils - Utilities for formatting floppies
Name: fdutils
Version: 5.4
Release: 0vl2
License: GPL2
Group: Applications/System
URL: http://fdutils.linux.lu/
Source: http://fdutils.linux.lu/fdutils-5.4.tar.gz
Patch0: fdutils-pidpath.patch
Patch1: fdutils-mknod.patch
PreReq: /sbin/install-info
BuildPreReq: texinfo
BuildRoot: %{_tmppath}/%{name}-root

%description
The fdutils package contains Utilities for formatting floppies and
configuring the floppy drive. Allows to make and access "special"
floppies, such as CP/M, OS/2's XDF format and other formats.
Stores up to 1992K on a high density disk

%description -l ja
fdutils パッケージにはフロッピーをフォーマットしたりフロッピードライ
ブを設定したりするためのユーティリティが含まれます。CP/M や OS/2 の
XDFフォーマットやその他のフォーマットなどの"特別な"フロッピーを作成
したり読み書きしたりすることが出来ます。高密度ディスクに1992Kまで保
存することが出来ます。

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} \
	--bindir=%{_bindir} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,4},%{_infodir},%{_sysconfdir}}
make install exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	UID=`/usr/bin/id -u` GID=`/usr/bin/id -g`

# gzip info
gzip -9n $RPM_BUILD_ROOT%{_infodir}/*

# avoid conflict with other packages
rm -fv $RPM_BUILD_ROOT%{_bindir}/setfdprm
rm -fv $RPM_BUILD_ROOT%{_mandir}/man4/fd.4

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir 
fi

%files
%defattr(-,root,root)
%doc COPYING CREDITS Changelog INSTALL doc/FAQ.html doc/*.dvi
%{_bindir}/*
%{_infodir}/*.info*
%{_mandir}/man[14]/*
%config %{_sysconfdir}/*

%changelog
* Sun May 27 2001 <sagami@vinelinux.org>
- changed Summary/Group

* Tue May 15 2001 <sagami@vinelinux.org>
- first release for VineSeedPlus
